Bug 439851 - RFE Install + chose + linux partition...
RFE Install + chose + linux partition...
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2008-03-31 14:58 EDT by Jóhann B. Guðmundsson
Modified: 2009-01-05 16:05 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-05 15:28:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2008-03-31 14:58:28 EDT
Description of problem:

Ok here's the thing..

I've had previously installed fedora 9 beta 5 times on my hd
(Recommended usage to test grub #437836 which btw got dropped )


1. Fedora-9beta unencrypted ( mbr )
2. Fedora-9beta encrypted 
3. Fedora-9beta ext4 unencrypted 
4. Fedora-9beta ext4 encrypted  
5. Fedora-9beta usb/nfs/http/live cd install zone

which I then chain loaded grub and did some various testing on.

Any way it would be extremely well appreciated feature to
be able to choose previous partitioned layout in the installation requires
partitioning screen.

( Custom layout and existing encrypted partition don't play nicely or atleast
with me )..

An option would be added.

Use and overwrite existing linux partition layout...
And the partition layouts would appear below drive (sda)

[]sda (drive)
[]Fedora-1 (grouped together partition layout)
[]Fedora-2 (grouped together partition layout)

Fedora-$n could be formed by uuid that are group together maybe
if the last number in the uuid starts with 1 ( 01 if there 
are any partitions maniacs out there )and then for
each partition an +1 is added to the last number.
( 0-9 <-- depends on number of partitions created during install 
and those partition ( with the uuid 0 -9 )would be grouped together 
and form Fedora-1 )

I dont know if uuid could be used for this or some other better


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Chris Lumens 2008-12-11 17:18:46 EST
How did the custom layout screen not work for this purpose?  You should be able to select "Custom layout", then on the UI partitioning screen you can select existing filesystems and choose to format them or reuse them at a certain mount point without formatting.
Comment 2 Jóhann B. Guðmundsson 2008-12-11 18:18:49 EST
An option would be added.

Use and overwrite existing linux partition layout...
And the partition layouts would appear below drive (sda)

[]sda (drive)
[]Fedora-1 (grouped together partition layout)
[]Fedora-2 (grouped together partition layout)

This is where you choose to install as in before you 
enter custom layout.. 

Unfortunate custom layout was flaky in F9 and also F10

I actually have to delete previous configuration before i'm able
to create a new one in F10 other wise anaconda crashes

Reusing them is a no go ( as in reselect and choose to format )

Did I not report that?
Comment 3 Chris Lumens 2009-01-05 15:28:49 EST
How should we get the information for these groupings?  By examining all the /etc/fstab files we find on all the possible root partitions on all hard drives on the computer?  And partitions could be specified in various ways and be used by multiple different groups.  I don't see any way that we could do this that isn't completely fraught with opportunities for errors.  It's also going to be incredibly unreliable and unstable.  I just can't see it going well at all.

On top of this, we'd be seriously complicating up the UI and the code for what's really a niche feature.  I've not heard anyone else ever request this sort of thing.  Seems like a whole lot of work and a lot of exposure to new bugs for very little return to me.
Comment 4 Jóhann B. Guðmundsson 2009-01-05 16:05:23 EST
Well the only user case for this a frequent tester or a user performing a fresh install but would like to reuse his existing partition layout...

"I've not heard anyone else ever request this
sort of thing"

Neither did the maintainer of s-c-f until I filed an RFE for the user to hash "Trusted services" yet the ability to do that had been in every home router for years.. 

Anyway the ability to do a rpm install from usb stick would be a nifty feature and has a lot more potential and usability to it...

If you have time rather spend it on that instead of this or any other ( useless ) idea that has come from me ( thou I still believe that the ability to do a default install from the first window/widget is a good idea ) :) 

Some Ideas are good other are bad and you cant differentiate the good ones from the bad until you put them to the test.. ( time/cost vs potential benefit perspective is always good thou )

A crappy idea on a whiteboard is still an idea on a whiteboard..

Note You need to log in before you can comment on or make changes to this bug.